Subject: bug#37630: 27.0.50; image-mode-fit-frame doesn't

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 09 Oct 2019 21:09:30 +0200

Eli Zaretskii <[email-masked]> writes:

>> We don't want to have half a line at the bottom of the frame.
>
> But that's only possible when resizing pixel-wise, no?

Yes, we could compute based on pixels, and then resize based on how many
lines that would be.  But I wonder whether the mapping from pixels to
lines would run into the same problems as just counting lines does.

>> I don't really understand the utility of this command, though.
>
> I think it was written to allow popping up frames with minimal/no
> decorations that show only the image.  But that's a guess.

Perhaps it was meant as a way to quickly expand the frame to display all
of the image?  In the olden days, you couldn't shrink images, so perhaps
making the frame bigger momentarily was seen as a feature.

But just guessing.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no